Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# NonPhysicsWalker Class Reference

Inheritance diagram for NonPhysicsWalker:

List of all members.

## Public Member Functions
def | __init__
def | addBlastForce
def | debugPrint
def | deleteCollisions
def | disableAvatarControls
def | displayDebugInfo
def | doDeltaPos
def | enableAvatarControls
def | flushEventHandlers
def | getSpeeds
def | getVelocity
def | handleAvatarControls
def | initializeCollisions
def | oneTimeCollide
def | placeOnFloor
def | reset
def | setAirborneHeightFunc
def | setAvatar
def | setCollisionsActive
def | setFloorBitMask
def | setTag
def | setWalkSpeed
def | setWallBitMask
def | swapFloorBitMask
## Public Attributes
| avatar
| avatarControlForwardSpeed
| avatarControlReverseSpeed
| avatarControlRotateSpeed
| avatarNodePath
| collisionsActive
| cRay
| cRayBitMask
| cRayNodePath
| cSphere
| cSphereBitMask
| cSphereNodePath
| cTrav
| getAirborneHeight
| lifter
| pusher
| rotationSpeed
| slideSpeed
| speed
| stopThisFrame
| vel
| worldVelocity
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("NonPhysicsWalker")
string | slideName = "slide-is-disabled"
tuple | wantDebugIndicator = base.config.GetBool('want-avatar-physics-indicator', 0)

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addBlastForce | ( |  | self,
|  |  | vector
| ) |  |

def debugPrint | ( |  | self,
|  |  | message
| ) |  |

    for debugging

def deleteCollisions | ( |  | self | ) |

Reimplemented in ObserverWalker.

def disableAvatarControls | ( |  | self | ) |

    Ignore the arrow keys, etc.

Reimplemented in ObserverWalker.

def displayDebugInfo | ( |  | self | ) |

    For debug use.

def doDeltaPos | ( |  | self | ) |

def enableAvatarControls | ( |  | self | ) |

    Activate the arrow keys, etc.

Reimplemented in ObserverWalker.

def flushEventHandlers | ( |  | self | ) |

def getSpeeds | ( |  | self | ) |

def getVelocity | ( |  | self | ) |

def handleAvatarControls | ( |  | self,
|  |  | task
| ) |  |

    Check on the arrow keys and update the avatar.

def initializeCollisions | ( |  | self,
|  |  | collisionTraverser,
|  |  | avatarNodePath,
|  |  | avatarRadius = `1.4`,
|  |  | floorOffset = `1.0`,
|  |  | reach = `1.0`
| ) |  |

    Set up the avatar for collisions

Reimplemented in ObserverWalker.

def oneTimeCollide | ( |  | self | ) |

    Makes one quick collision pass for the avatar, for instance as
    a one-time straighten-things-up operation after collisions
    have been disabled.

Reimplemented in ObserverWalker.

def placeOnFloor | ( |  | self | ) |

    Make a reasonable effor to place the avatar on the ground.
    For example, this is useful when switching away from the
    current walker.

def reset | ( |  | self | ) |

def setAirborneHeightFunc | ( |  | self,
|  |  | getAirborneHeight
| ) |  |

def setAvatar | ( |  | self,
|  |  | avatar
| ) |  |

def setCollisionsActive | ( |  | self,
|  |  | active = `1`
| ) |  |

Reimplemented in ObserverWalker.

def setFloorBitMask | ( |  | self,
|  |  | bitMask
| ) |  |

def setTag | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

def setWalkSpeed | ( |  | self,
|  |  | forward,
|  |  | jump,
|  |  | reverse,
|  |  | rotate
| ) |  |

def setWallBitMask | ( |  | self,
|  |  | bitMask
| ) |  |

def swapFloorBitMask | ( |  | self,
|  |  | oldMask,
|  |  | newMask
| ) |  |

## Member Data Documentation

avatar

avatarControlForwardSpeed

avatarControlReverseSpeed

avatarControlRotateSpeed

avatarNodePath

Reimplemented in ObserverWalker.

collisionsActive

Reimplemented in ObserverWalker.

cRay

cRayBitMask

cRayNodePath

cSphere

Reimplemented in ObserverWalker.

cSphereBitMask

cSphereNodePath

Reimplemented in ObserverWalker.

cTrav

Reimplemented in ObserverWalker.

getAirborneHeight

lifter

Reimplemented in ObserverWalker.

tuple notify = DirectNotifyGlobal.directNotify.newCategory("NonPhysicsWalker")`[static]`

Reimplemented in GhostWalker, ObserverWalker, and SwimWalker.

pusher

Reimplemented in ObserverWalker.

rotationSpeed

Reimplemented in SwimWalker.

string slideName = "slide-is-disabled"`[static]`

Reimplemented in GhostWalker, and ObserverWalker.

slideSpeed

Reimplemented in SwimWalker.

speed

Reimplemented in SwimWalker.

stopThisFrame

vel

tuple wantDebugIndicator = base.config.GetBool('want-avatar-physics-indicator', 0)`[static]`

worldVelocity

All Classes Namespaces Functions Variables Enumerations Enumerator Properties